Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit » Unable to install Egit for Eclipse
Unable to install Egit for Eclipse [message #1385609] Mon, 09 June 2014 22:33 Go to next message
Mariatta Wijaya is currently offline Mariatta Wijaya
Messages: 1
Registered: June 2014
Junior Member
Hi,
I'm having trouble installing EGit plugin. Perhaps someone here could tell me what I did wrong?

My Eclipse version info is:
Eclipse Platform

Version: 3.5.2
Build id: M20100211-1343


I tried to install the plugin by going to Help > Install New Software menu
In the Work with field I chose:
EGit - http://download.eclipse.org/egit/updates


The box underneath are getting populated, then I choose
Eclipse Git Team Provider 3.3.2.291494171909-r


and clicked Next

In the next page, under Details box I get this message:
Cannot complete the install because one or more required items could not be found.
  Software being installed: Eclipse Git Team Provider 3.3.2.201404171909-r (org.eclipse.egit.feature.group 3.3.2.201404171909-r)
  Missing requirement: Eclipse Git Team Provider 3.3.2.201404171909-r (org.eclipse.egit.feature.group 3.3.2.201404171909-r) requires 'org.eclipse.core.runtime [3.7.0,4.0.0)' but it could not be found





Re: Unable to install Egit for Eclipse [message #1385640 is a reply to message #1385609] Tue, 10 June 2014 08:23 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias Sohn
Messages: 588
Registered: July 2009
Senior Member
You can't install EGit 3.3 into this very old Eclipse installation. The newest EGit version which can
be installed on Galileo (Eclipse 3.5) is 2.1 [1] [2]. We always support the last two releases of Eclipse. Today
these supported releases are Juno (4.2) and Kepler (4.3). Luna will be released end of this month.

[1] https://wiki.eclipse.org/EGit/FAQ#What_versions_of_Eclipse_does_EGit_target.3F
[2] https://wiki.eclipse.org/EGit/FAQ#Where_can_I_find_older_releases_of_EGit.3F
Re: Unable to install Egit for Eclipse [message #1387050 is a reply to message #1385640] Mon, 23 June 2014 18:03 Go to previous messageGo to next message
sam detweiler is currently offline sam detweiler
Messages: 20
Registered: August 2012
Junior Member
I have an eclipse installation, Juno, 4.2.2, and it SAYS it installed the plugins, and they appear in the plugins folder.. but nothing in the UI and nothing in the .log at startup. also did a -clean.. no change.

features\org.eclipse.egit.mylyn_3.3.2.201404171909-r
features\org.eclipse.egit_3.3.2.201404171909-r
features\org.eclipse.egit.mylyn_3.3.2.201404171909-r\META-INF\maven\org.eclipse.egi

features\org.eclipse.egit.mylyn_3.3.2.201404171909-r\META-INF\maven\org.eclipse.egi

features\org.eclipse.egit_3.3.2.201404171909-r\META-INF\maven\org.eclipse.egit.feat

features\org.eclipse.egit_3.3.2.201404171909-r\META-INF\maven\org.eclipse.egit.feat

plugins\org.eclipse.egit.doc_3.3.2.201404171909-r.jar
plugins\org.eclipse.egit.ui_3.3.2.201404171909-r.jar
plugins\org.eclipse.egit.core_3.3.2.201404171909-r.jar
plugins\org.eclipse.egit.mylyn.ui_3.3.2.201404171909-r.jar
plugins\org.eclipse.egit_3.3.2.201404171909-r.jar

06/09/2014 10:51 AM 4,391,743 org.eclipse.egit.doc_3.3.2.201404171909-r.jar
06/09/2014 10:51 AM 2,533,053 org.eclipse.egit.ui_3.3.2.201404171909-r.jar
06/09/2014 10:51 AM 373,284 org.eclipse.egit.core_3.3.2.201404171909-r.jar
06/09/2014 10:51 AM 22,370 org.eclipse.egit.mylyn.ui_3.3.2.201404171909-r.jar
06/09/2014 10:51 AM 11,066 org.eclipse.egit_3.3.2.201404171909-r.jar
Re: Unable to install Egit for Eclipse [message #1393063 is a reply to message #1387050] Thu, 03 July 2014 07:25 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias Sohn
Messages: 588
Registered: July 2009
Senior Member
Can you see the git views under "Window > Show View > Other... > Git" ?
Re: Unable to install Egit for Eclipse [message #1393203 is a reply to message #1393063] Thu, 03 July 2014 12:15 Go to previous messageGo to next message
sam detweiler is currently offline sam detweiler
Messages: 20
Registered: August 2012
Junior Member
no.

I can on a new fresh Kepler install.. but some of my plugins don't work on Kepler

[Updated on: Thu, 03 July 2014 12:15]

Report message to a moderator

Re: Unable to install Egit for Eclipse [message #1395763 is a reply to message #1393203] Mon, 07 July 2014 11:12 Go to previous messageGo to next message
Jayanta Mandal is currently offline Jayanta Mandal
Messages: 1
Registered: July 2014
Junior Member
I tried to download the EGit plugin from the eclipse website, http://download.eclipse.org/egit/updates/

But can't get it from there. Didn't see the other repository also for the egit plugin.

Can someone help me saying where to get the egit plugin from? My eclipse version is as given below.

Quote:
Eclipse Java EE IDE for Web Developers.

Version: Kepler Release
Build id: 20130614-0229

(c) Copyright Eclipse contributors and others 2005, 2013. All rights reserved.
Visit http://www.eclipse.org/webtools


I will be grateful if I get some help from you guys.

Thanks.


Jayanta
Hyderabad
Re: Unable to install Egit for Eclipse [message #1397308 is a reply to message #1395763] Wed, 09 July 2014 14:28 Go to previous message
Matthias Sohn is currently offline Matthias Sohn
Messages: 588
Registered: July 2009
Senior Member
http://download.eclipse.org/egit/updates/ is a p2 repository which can't be browsed using a browser but
can be used by Eclipse's installer. In Eclipse click "Help > Install new software" and copy this URL into
the field "Work with" and hit return. This should bring up the installation dialog for the latest EGit release.
Previous Topic:Check Git connection
Next Topic:Pack file handle remains open after using a shared repository
Goto Forum:
  


Current Time: Tue Oct 21 21:44:01 GMT 2014

Powered by FUDForum. Page generated in 0.01793 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software